# List folders

List folders in your tenant.

Returns: Folders that match the search filter.

{% code overflow="wrap" %}

```shellscript
POST /api/v1/product/list
```

{% endcode %}

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client Credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.
* API key created from [Authorization - API keys](/spark-apis/authorization-api-keys.md).\
  The [Authorization - API keys](/spark-apis/authorization-api-keys.md#api-key-groups) must contain [Manage users](/tenant-administration/manage-users.md#user-groups) that are also assigned to [Permissions - Features permissions](/spark-apis/authorization-api-keys/permissions-features-permissions.md) `Spark.FolderList.json` or `Spark.AllEncompassingProxy.json`.
  * The request headers should include the keys `x-synthetic-key` and `x-tenant-name` with the values of the API key and tenant name respectively.

### Request body <a href="#request-body" id="request-body"></a>

`Content-Type: application/json`

| Key        | Value                                                                                                                                                                                                                                                                                                                                                                                                         |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `page`     | Page number of the list to get.                                                                                                                                                                                                                                                                                                                                                                               |
| `pageSize` | Number of records per page.                                                                                                                                                                                                                                                                                                                                                                                   |
| `sort`     | <p>String defining the sort order.</p><p>Example: <code>-updated</code></p>                                                                                                                                                                                                                                                                                                                                   |
| `search`   | <p>Array of search filter objects. Search filter objects can include:<br><code>field</code> Name of the field to filter.</p><p><code>value</code> Value of the <code>field</code> to filter.</p><p><code>operator</code> Applies to numeric properties.</p><p>Example 1: <code>{"field": "name", "name": "myfoldername"</code><br>Example 2: <code>{"field": "isstarred", "isstarred", "true"}</code><br></p> |

### Sample request <a href="#request-body" id="request-body"></a>

```json
{
    "page":1,
    "pageSize":10,
    "sort":"-updated",
    "search":
        [
            {
                "field":"name",
                "value":"Simon Testing"
            }
        ]
}
```

### Sample response

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "count": 1,
    "next": null,
    "previous": null,
    "message": null,
    "data": [
        {
            "id": "88018b91-6c91-4309-a70b-5bcacfc8a724",
            "name": "myfolder",
            "status": "Design",
            "category": "Other",
            "description": "myfolderdescription",
            "coverImagePath": "41f7dd49-8582-4f00-945c-b49242a52b0d.jpeg",
            "createdAt": "2020-12-18T02:04:03.610588Z",
            "createdBy": "0ec91ce3-52d2-41df-abf8-60b038cd7670",
            "lastModifiedDate": "2025-12-02T00:59:39.178648Z",
            "isStarred": true,
            "startDate": "2020-12-18T00:00:00Z",
            "launchDate": "2021-03-18T00:00:00Z",
            "totalServiceCount": 3
        }
    ],
    "errorCode": null,
    "status": "Success"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherent.global/spark-apis/folder-apis/list-folders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
